For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Custom fonts
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
  • Enterprise
LogoLogo
Resources
Get started
Sites

Get Custom Domains

GET
https://api.webflow.com/v2/sites/:site_id/custom_domains
GET
/v2/sites/:site_id/custom_domains
$curl https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/custom_domains \
> -H "Authorization: Bearer <token>"
1{
2 "customDomains": [
3 {
4 "id": "589a331aa51e760df7ccb89d",
5 "url": "hitchhikersguide.galaxy",
6 "lastPublished": "2022-12-07T16:51:37.571Z"
7 },
8 {
9 "id": "589a331aa51e760df7ccb89e",
10 "url": "heartofgold.spaceship",
11 "lastPublished": "2022-12-07T16:51:37.571Z"
12 }
13 ]
14}

Get a list of all custom domains related to site.

Required scope | sites:read

Was this page helpful?
Previous

Publish Site

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site

Response

Request was successful
customDomainslist of objects

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error